Bug 1817121 (CVE-2019-18860) - CVE-2019-18860 squid: Mishandled HTML in the host parameter to cachemgr.cgi results in insecure behaviour
Summary: CVE-2019-18860 squid: Mishandled HTML in the host parameter to cachemgr.cgi r...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-18860
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1820663 1820664
Blocks: 1817125
TreeView+ depends on / blocked
 
Reported: 2020-03-25 15:46 UTC by Michael Kaplan
Modified: 2021-02-16 20:23 UTC (History)
5 users (show)

Fixed In Version: Squid 4.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:24:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4743 0 None None None 2020-11-04 03:31:57 UTC

Description Michael Kaplan 2020-03-25 15:46:18 UTC
In Squid before 4.9, when certain web browsers are used, mishandles HTML in the host parameter to cachemgr.cgi which could result in squid behaving in unsecure way

Comment 1 Michael Kaplan 2020-03-25 15:47:44 UTC
External References:

https://github.com/squid-cache/squid/pull/504

Comment 2 Stefan Cornelius 2020-03-31 11:16:24 UTC
Mitigation:

The cachemgr.cgi script is not used by default. If you've set this up manually and are worried about this issue, remove it from your server.

Comment 6 Product Security DevOps Team 2020-11-04 02:24:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-18860

Comment 7 errata-xmlrpc 2020-11-04 03:31:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4743 https://access.redhat.com/errata/RHSA-2020:4743


Note You need to log in before you can comment on or make changes to this bug.